## siduction-archive-keyring 2021.09.16

=== Makefile ===
#!/usr/bin/make -f

all:
	gpg \
		--homedir $$(pwd)/.gnupg \
		--lock-never \
		--no-default-keyring \
		--keyring ./temp-keyring.kbx \
		--import *.asc
	gpg \
		--homedir $$(pwd)/.gnupg \
		--lock-never \
		--no-default-keyring \
		--keyring ./temp-keyring.kbx \
		--export >siduction-archive-keyring.gpg
	gpgconf --kill gpg-agent
	$(RM) temp-keyring.kbx temp-keyring.kbx~
	$(RM) siduction-archive-keyring.gpg~

install:

clean:
	$(RM) temp-keyring.kbx temp-keyring.kbx~
	$(RM) siduction-archive-keyring.gpg
	$(RM) -r $$(pwd)/.gnupg

check:

test:

=== debian/changelog ===
siduction-archive-keyring (2021.09.16) unstable; urgency=medium

  * update key

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 16 Sep 2021 22:14:15 +0200

siduction-archive-keyring (2013.03.30) unstable; urgency=medium

  * Updated control
  * Current standards 3.9.6
  * Updated copyright
  * Removed Homepage field
  * Updated VCS-fields
  * Removed XBSC-Original-Maintainer
  * Removed debian/lintian-overrides
 
 -- Alf Gaida <agaida@siduction.org>  Tue, 29 Sep 2015 21:32:47 +0200

siduction-archive-keyring (2013.03.29) unstable; urgency=low

  * new build and upload to kdenext and base

 -- Alf Gaida <agaida@siduction.org>  Fri, 29 Mar 2013 17:53:42 +0100

siduction-archive-keyring (2012.07.01) unstable; urgency=low

  * renamed to siduction-archive-keyring
  * closes #780

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jul 2012 17:31:47 +0200

siduction-keyring (2012.03.23) unstable; urgency=low

  * .gitignore reworked
  * add source override to prevent lintian complaining about
    XSBC-Original-Maintainer
  * fixes #651

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Mar 2012 22:42:10 +0100

siduction-keyring (2012.03.20) unstable; urgency=low

  * bumped standards to 3.9.3
  * debhelter (>=9)
  * refs #605 

 -- Alf Gaida <agaida@siduction.org>  Tue, 20 Mar 2012 19:01:46 +0100

siduction-keyring (2011.10.25) unstable; urgency=low

  * fixed postinst 

 -- Alf Gaida <info@g-com.eu>  Tue, 25 Oct 2011 23:29:46 +0200

siduction-keyring (2011.10.22) unstable; urgency=low

  * Non-maintainer upload.
  * Rename to siduction-keyring

 -- Alf Gaida <info@g-com.eu>  Sat, 22 Oct 2011 15:49:58 +0200

aptosid-keyring (2011.04.30) UNRELEASED; urgency=low

  * NOT RELEASED YET

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Apr 2011 03:36:19 +0200

aptosid-keyring (2011.04.29) unstable; urgency=low

  * bump standards version to 3.9.2, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Apr 2011 03:35:20 +0200

aptosid-keyring (2011.02.09) unstable; urgency=low

  * install the keyring in APT's trusted.gpg.d directory
    instead of adding the key to trusted.gpg file
  * Depend on gpgv as it is enough for apt-secure and
    recommend gnupg only to ensure a clean upgrade

 -- David Kalnischkies <kalnischkies@gmail.com>  Wed, 09 Feb 2011 11:40:28 +0100

aptosid-keyring (2010.10.06) unstable; urgency=low

  * switch to dpkg-source 3.0 (native) format.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 06 Oct 2010 14:27:54 +0200

aptosid-keyring (2010.08.30) unstable; urgency=low

  * adapt for aptosid.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 30 Aug 2010 23:24:39 +0200

sidux-keyring (2007.03.09) unstable; urgency=low

  * Switch to dpkg-source 3.0 (native) format.
  * bump standards version to 3.8.4, no changes necessary.
  * drop revoking obsolete keys, this avoid having to call gpg as root and
    thereby clobbering root's $HOME; thanks to kelmo for noticing.
  * clarify that version two of the GPL applies.
  * drop needles absolute refernecing to apt-key.
  * use "set -e" in maintainerscipts, even though we effectively ignore any
    errors in the non-templated parts.
  * fix lintian related spelling complaints.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 04 Apr 2010 17:49:11 +0200

sidux-keyring (2007.03.08) unstable; urgency=low

  * make lintian happy and depend on ${misc:Depends}.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Dec 2008 23:52:53 +0100

sidux-keyring (2007.03.07) unstable; urgency=low

  * bump standards version to 3.8.0, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 08 Jun 2008 19:38:40 +0200

sidux-keyring (2007.03.06) unstable; urgency=low

  * switch to the new dh implementation of debhelper 7.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 07 May 2008 02:23:14 +0200

sidux-keyring (2007.03.05) unstable; urgency=low

  * appease lintian and write (C) as ?? in debian/copyright.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 21 Feb 2008 01:11:15 +0100

sidux-keyring (2007.03.04) unstable; urgency=low

  * update to debhelper compat 6.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 19 Jan 2008 02:35:53 +0100

sidux-keyring (2007.03.03) unstable; urgency=low

  * update to Standards-Version 3.7.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 03 Dec 2007 14:58:36 +0100

sidux-keyring (2007.03.02) unstable; urgency=low

  * add VCS control headers.
  * update syntax for Vcs headers in debian/control

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 25 Oct 2007 19:29:01 +0200

sidux-keyring (2007.03.01) unstable; urgency=low

  * kanotix-keyrings, kanotix-keyring and kanotix-keyring were never part of
    sidux or debian, don't conflict with those.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu,  1 Mar 2007 18:52:25 +0100

sidux-keyring (2007.02.19) unstable; urgency=low

  * The transition period is over, FB1A399A71409CDF revoked, 3916C431F80994F6
    remaining.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 19 Feb 2007 16:56:57 +0100

sidux-keyring (2007.02.08) unstable; urgency=low

  * add new pubkeys for s.l-h@gmx.de.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu,  8 Feb 2007 01:11:51 +0100

sidux-keyring (2006.11.30) unstable; urgency=low

  [ Joaquim Boura ]
  * fixed mispelling

  [ Stefan Lippers-Hollmann ]
  * tag and upload.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue,  5 Dec 2006 13:51:45 +0100

sidux-keyring (2006.11.29) unstable; urgency=low

  * initially release sidux-keyring, conflict with kanotix-keyring (it tries
    to remove my key from the keychain).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 29 Nov 2006 15:32:03 +0100

kanotix-keyring (2006.11.25) unstable; urgency=low

  * remove myself from the keyring.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 25 Nov 2006 13:50:30 +0100

kanotix-keyring (2006.02.19) unstable; urgency=low

  * fix lintian errors.



=== debian/control ===
Source: siduction-archive-keyring
Maintainer: Alf Gaida <agaida@siduction.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: gnupg
Standards-Version: 3.9.6
Vcs-Browser: http://git.siduction.org/summary/base!siduction-archive-keyring.git
Vcs-Git: git://git.siduction.org/base/siduction-archive-keyring.git

Package: siduction-archive-keyring
Architecture: all
Depends: ${misc:Depends},
         debian-archive-keyring,
         gpgv
Recommends: gnupg
Description: GnuPG archive keys of the siduction archive
 The archive project digitally signs its release files. This package contains
 the archive keys used for that and can be used to support signature 
 verification ("apt-secure") for:
  - Release signature verification for siduction (Release.gpg)
  - Packages, Sources md5sum verification against Release

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel
